gstreamermm: Gst::MessageClockProvide Class Reference

Public Member Functions | Static Public Member Functions

# Gst::MessageClockProvide Class Reference

A clock provide message. More...

Inherits Gst::Message.

Collaboration diagram for Gst::MessageClockProvide:
[legend]

List of all members.

## Public Member Functions
| MessageClockProvide (GstMessage* message)
void | parse (Glib::RefPtr< Gst::Clock >& clock, bool& ready) const
| Extracts the clock and ready flag from the Gst::MessageClockProvide.
Glib::RefPtr< Gst::Clock > | parse ()
| Extracts and returns the clock from the Gst::MessageClockProvide.
Glib::RefPtr< const Gst::Clock > | parse () const
| Extracts and returns the clock from the Gst::MessageClockProvide.
bool | parse_ready () const
| Extracts and returns the ready flag from the Gst::MessageClockProvide.
## Static Public Member Functions
static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src, const Glib::RefPtr< Gst::Clock >& clock, bool ready)
| Create a clock provide message.

## Detailed Description

A clock provide message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageClockProvide::MessageClockProvide | ( | GstMessage * | message | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageClockProvide::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | const Glib::RefPtr< Gst::Clock >& | clock,
|  | bool | ready |
| ) |  |  | `[static]`

Create a clock provide message.

This message is posted whenever an element is ready to provide a clock or lost its ability to provide a clock (maybe because it paused or became EOS).

This message is mainly used internally to manage the clock selection.

Parameters:

  | src | The object originating the message.
  | clock | The clock it provides.
  | ready | true if the sender can provide a clock.

Returns:
  The new provide clock message. MT safe.

void Gst::MessageClockProvide::parse | ( | Glib::RefPtr< Gst::Clock >& | clock,
|  | bool & | ready |
| ) |  |  | const

Extracts the clock and ready flag from the Gst::MessageClockProvide.

The clock object returned remains valid until the message is freed.

MT safe.

Parameters:

  | clock | Location in which to hold a clock object.
  | ready | Location in which to hold the ready flag.

Glib::RefPtr<const Gst::Clock> Gst::MessageClockProvide::parse | ( |  | ) | const

Extracts and returns the clock from the Gst::MessageClockProvide.

The clock object returned remains valid until the message is freed.

MT safe.

Returns:
  The clock object of the message.

Glib::RefPtr<Gst::Clock> Gst::MessageClockProvide::parse | ( |  | ) |

Extracts and returns the clock from the Gst::MessageClockProvide.

The clock object returned remains valid until the message is freed.

MT safe.

Returns:
  The clock object of the message.

bool Gst::MessageClockProvide::parse_ready | ( |  | ) | const

Extracts and returns the ready flag from the Gst::MessageClockProvide.

MT safe.

Returns:
  The ready flag of the message.

The documentation for this class was generated from the following file:

- gstreamermm/message.h